//libuffer.hpp - linear-interpolating buffer

#ifndef _LIBUFFER_H_
#define _LIBUFFER_H_

#ifndef _RWBUFFER_H_
#include "rwbuffer.hpp"
#endif

class libuffer : public rwbuffer {
 protected:
  virtual float calcInterpValue(float val1, float val2, float index);

 public:
  libuffer() {};
  libuffer(unsigned long bufsize);

  virtual float readbuffer_li(float increment);//direction set to forward (normal)
  virtual float readbuffer_li(float increment, direction fb);//user sets direction
  virtual float readbuffer_li(float increment, float fb);//user sets direction (float) (1 = forward)
  virtual float readbuffer_li(float increment, float fb, float Looping);
};

#endif