//lookupsine.hpp - 2048-point lookup table sine generator, w/linear interpolation

#ifndef _LOOKUPSINE_H_
#define _LOOKUPSINE_H_

#include "libuffer.hpp"
#include "RTFunc.hpp"

#ifndef TWO_PI
#define TWO_PI (2.0f*NDC_PI)
#endif

class lookupsine : public libuffer {
  protected:
	  float samplerate;
	  float frequency;
	  float increment;

	  virtual void calcIncrement();

  public:
	  lookupsine() {};
	  lookupsine(float sr, float freq);
	  //~lookupsine();

	  virtual void fakeconstructor(float sr, float freq);

	  virtual float getsample(float freq);

	  virtual void resetPhase();
};

#endif